package computer_factory.elements;

import computer_factory.visitor.ComputerPartVisitor;

public class Mainframe implements ComputerPart {
    private int price;

    public Mainframe(int price){
        this.price = price;
    }

    @Override
    public int getPrice() {
        return price;
    }
    @Override
    public void accept(ComputerPartVisitor computerPartVisitor) {
        computerPartVisitor.visit(this);
    }

}
